SonaGetResearcherIDByExperimentID
Description¶
This API call retrieves the list of researchers (by person_id) for a study, based on the study’s experiment_id.
Input Parameters¶
Below are the following input parameters for use with the SonaGetResearcherIDByExperimentID API function.
| Parameter | Description / Possible Values |
|---|---|
api_key |
Use API key generated for Sona admin user |
experiment_id |
The experiment_id of the study. |
Output Parameters¶
Will return the person_id of all researchers for the study.
Error Codes¶
Below are the possible error messages encountered and their respective descriptions.
| Error Type | Error Code | Description |
|---|---|---|
| Authentication Failed | -1 through -7 | Standard authentication errors |
| Error Code | -8 | invalid experiment_id |
| Error Code | -9 | no researchers found for experiment_id or invalid experiment_id |
Sample Input¶
Request URL
https://myschool.sona-systems.com/services/SonaAPI.svc/SonaGetResearcherIDByExperimentID?api_key=YOUR_API_KEY&experiment_id=123URL components
| Component | Value |
|---|---|
| Scheme | https |
| Host | myschool.sona-systems.com |
| Service path | /services/SonaAPI.svc |
| Function | SonaGetResearcherIDByExperimentID |
Query parameters
Sample Output¶
<SonaGetResearcherIDByExperimentIDResponse
xmlns="https://www.sona-systems.com/"
xmlns:a="http://schemas.datacontract.org/2004/07/emsdotnet.sonasystems"
xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<SonaGetResearcherIDByExperimentIDResult>
<a:Errors i:nil="true" />
<a:Result xmlns:b="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<b:int>9272</b:int>
<b:int>9406</b:int>
</a:Result>
</SonaGetResearcherIDByExperimentIDResult>
</SonaGetResearcherIDByExperimentIDResponse>